Subject: Session timer response code (was RE: [SIP] Session timer consider ed harmful (was RE: draft-ietf-sip-session- timer: refresh rate))

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 15 Jun 2001 12:07:35 -0400

> -----Original Message-----
> From: Christer Holmberg [mailto:[email-masked]]
> Sent: Wednesday, May 16, 2001 1:57 AM
> To: Steve Donovan
> Cc: [email-masked]; [email-masked]
> Subject: Re: [SIP] Session timer considered harmful (was RE:
> draft-ietf-sip-session- timer: refresh rate)
> 
> 
> >>>Reusing Session-Expires in the 488 is fine, but it
> >>>would potentially cause confusion with the fact
> >>>that currently Session-Expires in a negative response
> >>>will still reset session timer.  [However as I've
> >>>mentioned previously, I wish negative response
> >>>couldn't extend sessions since a proxy could have
> >>>generated the negative response instead of the UAS.]
> >>
> >>[Christer]: I would still vote for a specific 4xx code. It is then
> >>possible to specify specific actions, by nodes supporting the
> >>session-timer, to be taken when it arrives, ie that the
> >>Session-Expires
> >>header would have a special meaning.
> > 
> >This can be achieved by using the combination of the 488 and 
> the presence of
> >a session-expires header.
> 
> True.

I disagree.

We have a whole bunch of scenarios where the response means "sorry, feature
X of the request is not good, please resend with that feature within the
following parameters". Examples include:

401 and Authorization
407 and Proxy-Authorization
405 and method
413 and body
414 and r-uri
420 and Require/Proxy-Require
415 and body type

In all cases, there is a specific response code, that is used to guide the
client about what was wrong, and instruct it about what to resend. This case
is no different. I would therefore propose a new response code, 422 Session
Expiration Too Short, so that we also have:

422 and Session-Expires

-Jonathan R.
---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/sip